package cn.estsh.i3plus.pojo.wms.bean;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @Description : PDA传输到后台的实体bean对象
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-11-22 15:58
 * @Modify:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("返回前端数据实体")
public class WmsActionResponseBean {

    @ApiParam("进度")
    public Double percent;

    @ApiParam("当前步骤")
    public Integer currentStep;

    @ApiParam("总步数")
    public int totalStep;

    @ApiParam("提示信息")
    public String message;

    @ApiParam("列表信息")
    public List<String> informations;

    @ApiParam("可选项")
    public Map<String, Boolean> options;

    @ApiParam("选中的明细数据")
    public List<Map<String, Object>> details;

    @ApiParam(value = "结果代码")
    public Boolean codeStatus;

    public WmsActionResponseBean(Boolean codeStatus, String message) {
        this.codeStatus = codeStatus;
        this.message = message;
    }

    public WmsActionResponseBean(Double percent, String message, List<String> informations,  List<Map<String, Object>> details, Boolean codeStatus) {
        this.percent = percent;
        this.message = message;
        this.informations = informations;
        this.details = details;
        this.codeStatus = codeStatus;
    }
}
